# CCTools Projects Under Development

This directory contains research and development prototypes that
are either in initial development, or are retained as a research record.
They may require greater effort to configure and operate than the main modules.

- `apps` is a selection of sample applications using the CCTools.

- `filetrace` is atool created by Jachob Dolak for summarizing the I/O behavior of complex applications.

- `tlq` is a distributed log discovery and troubleshooting tool developed by Nate Kremer-Herman
and described in [Log Discovery for Troubleshooting Open Distributed Systems with TLQ](http://dx.doi.org/10.1145/3311790.3396633)

- `umbrella` is a system for constructing reproducible execution environments developed by Haiyan Meng and described in [Conducting Reproducible Research with Umbrella](http://dx.doi.org/10.1109/eScience.2016.7870889)

- `prune` is a reproducible execution system developed by Peter Ivie and described [PRUNE: A Preserving Run Environment for Reproducible Computing](http://dx.doi.org/10.1109/eScience.2016.7870886)

- `weaver` is a toolchain for generating, running, and debugging workflows developed by Peter Bui and described in [Scripting Distributed Scientific Workflows Using Weaver](http://dx.doi.org/10.1002/cpe.1871)

- `galaxy` is a set of scripts developed by Nick Hazekamp for executing parallel bioinformatics tools as part of the Galaxy workflow system.  It is described in [Scaling Up Bioinformatics Workflows with Dynamic Job Expansion](http://ccl.cse.nd.edu/research/papers/scaling-escience-2015.pdf)


- `lpw-scripts` is a collection of scripts contributed by Lee-Ping Wang to facilitate
deploying Work Queue applications on various facilites.

